Bug 202935 - incorrect RegExp for postfix
incorrect RegExp for postfix
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: logwatch (Show other bugs)
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Depends On:
  Show dependency treegraph
Reported: 2006-08-17 07:53 EDT by Frederic Jacquet
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-24 04:14:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
regexp fix (704 bytes, patch)
2006-08-17 07:53 EDT, Frederic Jacquet
no flags Details | Diff

  None (edit)
Description Frederic Jacquet 2006-08-17 07:53:32 EDT
Description of problem:

Actual search string is 
[root@srv12act services]# egrep "[a-zA-Z0-9]+: client=([^ ]*\[[^ ]*\])$" /var/lo
But there can be some extra space at the end : 
[root@srv12act services]# egrep "[a-zA-Z0-9]+: client=([^ ]*\[[^ ]*\])\s*$"
/var/log/maillog|wc -l

Version-Release number of selected component (if applicable):
Name        : logwatch                 
Version     : 5.2.2                  
Release     : 1.EL4.1                      

How reproducible:
Use any Mail relay logs

Steps to Reproduce:
1. run logwatch on postfix logs
Actual results:
4M of resulting mail

Expected results:
far less 

Additional info:
Proposed patch in unified format
Comment 1 Frederic Jacquet 2006-08-17 07:53:36 EDT
Created attachment 134378 [details]
regexp fix
Comment 2 Ivana Varekova 2007-01-24 04:14:22 EST
For RHEL3 we're looking only for security and performance related bugs. I'm
closing this bug as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.